Login | Packages | Support | Bugs 

Top Level :: Database :: PDO

PDO 0.2.4

This package is not maintained anymore and has been superseded. Package has moved to channel http://svn.php.net/viewvc/php/php-src/trunk/ext/pdo/, package ext/PDO.
Package Information
Summary PHP Data Objects Interface.
Maintainers Wez Furlong <wez@php.net> (lead) [details]
Marcus Börger <helly@php.net> (lead) [wishlist] [details]
Ilia Alshanetsky <ilia@php.net> (lead) [details]
George Schlossnagle <george@omniti.com> (lead) [wishlist] [details]
License PHP
Description Do not use this, as PDO has been moved into core (the php source) so this pecl extension is dead.

PDO provides a uniform data access interface, sporting advanced features such
as prepared statements and bound parameters. PDO drivers are dynamically
loadable and may be developed independently from the core, but still accessed
using the same API.
Release notes
Version 0.2.4
(beta)
Note that PDO on its own is useless.
You need to install a PDO database driver to make use of it,
check http://pecl.php.net for a list of available PDO drivers.

It is highly recommended that you update to the latest stable PHP 5 snapshot
before using PDO.
You can obtain it from http://snaps.php.net.

If you are running on Windows, you should download:
http://snaps.php.net/win32/php5.0-win32-latest.zip
http://snaps.php.net/win32/PECL_5_0/php_pdo.dll

You can find additional PDO drivers at:
http://snaps.php.net/win32/PECL_5_0/

- Added PDO::quote($string). Closes PECL Bug #3393
- Fixed PDO::query() for drivers using bound parameter emulation.
- Fixed PECL Bug #3434, crash when using odbc with named parameters.
- Added PDOStatement::fetchObject(string class_name [, NULL|array ctor_args]])
- PDO_FETCH_CLASS now passes args through to the class constructor
- Now builds directly via "pear install PDO" (upgrade to PEAR 1.3.5 first)

** Note **

You should uninstall and re-install your individual database drivers whenever
you upgrade the base PDO package, otherwise you will see an error about PDO API
numbers when you run your PHP scripts.

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
 [ Package Bugs ][ View Documentation ]
[ Report new bug ]

Dependencies for release 0.2.4


Packages that depend on PDO
PDO_ODBC
PDO_PGSQL
PDO_MYSQL
PDO_SQLITE
PDO_INFORMIX
pdo_user
PDO_IBM
PDO_SQLANYWHERE
PRIVACY POLICY | CREDITS
Copyright © 2001-2014 The PHP Group
All rights reserved.
Last updated: Tue Oct 15 08:05:03 2013 UTC
Bandwidth and hardware provided by: pair Networks